> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a group of companies

> Update a group of existing company records by their companyId. This endpoint takes a list of objectIds and that correspond to the companyId of the company you want to update, and a list of properties to update for that company. Note: - This endpoint can only be used to update existing company records based on their companyId. It cannot create new records
- Up to 100 companies can be updated in a single request. There is no limit to the number of properties that can be updated per company.
- If there are any errors in the request, the entire request will fail and no updates will be applied to any records.
- The updates are processed asynchronously, so it may take several minutes to see the updates in HubSpot if you're sending a large number of updates.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['crm.objects.companies.write']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v1/crm-companies-v1.json POST /companies/v1/batch-async/update
openapi: 3.0.0
info:
  title: CRM Companies API v1
  version: 1.0.0
  description: >-
    Use the companies API to create and manage CRM records that represent the
    companies and organizations that interact with your business.
  x-hubspot-introduction: >-
    Use the companies API to create and manage CRM records that represent the
    companies and organizations that interact with your business.
  x-hubspot-api-use-case: >-
    When a new customer signs up on your website with their business email
    address, create a company record to represent the relationship between the
    customer and the company they work for. A sales rep can later use this
    company record for outreach to find other potential sales opportunities.
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /companies/v1/batch-async/update:
    post:
      summary: Update a group of companies
      description: >-
        Update a group of existing company records by their companyId. This
        endpoint takes a list of objectIds and that correspond to the companyId
        of the company you want to update, and a list of properties to update
        for that company. Note: - This endpoint can only be used to update
        existing company records based on their companyId. It cannot create new
        records

        - Up to 100 companies can be updated in a single request. There is no
        limit to the number of properties that can be updated per company.

        - If there are any errors in the request, the entire request will fail
        and no updates will be applied to any records.

        - The updates are processed asynchronously, so it may take several
        minutes to see the updates in HubSpot if you're sending a large number
        of updates.
      operationId: postcompaniesv1batchasyncupdate
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: array
              items:
                type: object
                required:
                  - objectId
                  - properties
                properties:
                  objectId:
                    type: string
                    description: The companyId of the company that you want to update.
                  properties:
                    type: array
                    description: >-
                      A list of properties that you want to update. Each
                      property must include the name of the property to be
                      updated, and the value of the property to update to.
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                        value:
                          type: string
      responses:
        '202':
          description: >-
            Successful response - Update a group of existing company records by
            their companyId
          content:
            application/json:
              schema:
                type: object
              examples:
                example1:
                  summary: Update a group of companies - Example 1
                  value:
                    - objectId: 17433026
                      properties:
                        - name: name
                          value: Updated Company Name
                    - objectId: 16962705
                      properties:
                        - name: name
                          value: Biotech Company Name
                        - name: industry
                          value: Biotechnology
      security:
        - oauth2:
            - crm.objects.companies.write
        - oauth2_legacy: []
        - private_apps:
            - crm.objects.companies.write
        - private_apps_legacy: []
components: {}

````